Show / Hide Table of Contents

Interface CfnWebACL.IResponseInspectionBodyContainsProperty

Configures inspection of the response body.

Namespace: Amazon.CDK.AWS.WAFv2
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public interface CfnWebACL.IResponseInspectionBodyContainsProperty
Syntax (vb)
Public Interface CfnWebACL.IResponseInspectionBodyContainsProperty
Remarks

AWS WAF can inspect the first 65,536 bytes (64 KB) of the response body. This is part of the ResponseInspection configuration for AWSManagedRulesATPRuleSet and AWSManagedRulesACFPRuleSet .

Response inspection is available only in web ACLs that protect Amazon CloudFront distributions.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-wafv2-webacl-responseinspectionbodycontains.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.WAFv2;

             var responseInspectionBodyContainsProperty = new ResponseInspectionBodyContainsProperty {
                 FailureStrings = new [] { "failureStrings" },
                 SuccessStrings = new [] { "successStrings" }
             };

Synopsis

Properties

FailureStrings

Strings in the body of the response that indicate a failed login or account creation attempt.

SuccessStrings

Strings in the body of the response that indicate a successful login or account creation attempt.

Properties

FailureStrings

Strings in the body of the response that indicate a failed login or account creation attempt.

string[] FailureStrings { get; }
Property Value

string[]

Remarks

To be counted as a failure, the string can be anywhere in the body and must be an exact match, including case. Each string must be unique among the success and failure strings.

JSON example: "FailureStrings": [ "Request failed" ]

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-wafv2-webacl-responseinspectionbodycontains.html#cfn-wafv2-webacl-responseinspectionbodycontains-failurestrings

SuccessStrings

Strings in the body of the response that indicate a successful login or account creation attempt.

string[] SuccessStrings { get; }
Property Value

string[]

Remarks

To be counted as a success, the string can be anywhere in the body and must be an exact match, including case. Each string must be unique among the success and failure strings.

JSON examples: "SuccessStrings": [ "Login successful" ] and "SuccessStrings": [ "Account creation successful", "Welcome to our site!" ]

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-wafv2-webacl-responseinspectionbodycontains.html#cfn-wafv2-webacl-responseinspectionbodycontains-successstrings

Back to top Generated by DocFX